## Comment fonctionne le rôle
  
Le rôle installe un serveur GLPI fonctionnant graĉe à php et à nginx.  
Ce rôle permet aussi de télécharger l'agent GLPI sur glpi.  
Le rôle permet de créer la base GLPI.  

## Comment utiliser GLPI
  
Après le pull-config, depuis une machine du réseau n-user, se rendre sur l'URL : *http://s-itil/install/install.php*  
Puis lancer l'installation, les paramètres sql à fournir sont les suivant :  
* serveur : **localhost**  
* utilisateur : **glpi**  
* mot de passe : **glpi**  
* Selectionner la base **glpi**  

Ne pas envoyer de statistique d'usage  

  
## Postfix :

Postfix est utilisé pour renvoyer des messages pour assuré le suivi de l'avancement du ticket. 
  
Aller dans **Configuration > Notification**, activer le suivi et les notification   
Aller dans Configuration des notifications par courriels  
Mettre l'adresse mail de supervision dans : Courriel de l'administrateur, Courriel expéditeur et comme adresse de réponse  
Le mode d'envoie des courriels est SMTP  
l'hôte SMTP est localhost

## Inventorier une machine windows sur le serveur GLPI avec l'agent : 
Actuellement la version de l'agent glpi disponible directement sur le serveur est la version 1.7 de celui.
 * Télécharger l'agent depuis le serveur GLPI : *http://s-itil/glpicli*
 * Installer l'agent : sélectionner l'option "Typical" et entrer l'URL du serveur dans "Remote Targets" : *http://s-itil/*
 * Se rendre sur localhost:62354 pour forcer la remonter

*Note: si la machine ne remonte aprés avoir forcer l'interface depuis l'interface web il est possible de rédémarrer le service glpi agent.*
 * Actualiser GLPI et la machine sera inventoriée

## Enregistrement A et PTR pour S-WIN :

L'enregistrement A et PTR est utilisé pour résoudre les noms des machines nécessaire à la synchronisation de l'annuaire LDAP sur le serveur comme serveur DNS GLPI en utilisant le serveur S-WIN sans passé sur le serveur S-INFRA. 

Ajouter les enregistrement "A" et "PTR" sur le DNS de l'Active Directory:
Sur le serveur S-WIN:

**Gestionnaire de serveur** --> **Gestionnaire DNS** --> **Zones Recherches Directes** --> **gsb.lan** --> **Ajouter un hôte (A)**:
   * s-infra         172.16.0.1
   * s-itil          172.16.0.9
   * r-int           172.16.0.254
   * s-win           172.16.0.6

Cocher la case **Créer un pointeur d'enregistrement PTR associé**   


## LDAP :
  
Aller dans Configuration > Authentification > Annuaires LDAP.   
Ajouter un serveur en cliquant sur le +  
Remplisser les cases:   
* Nom : **s-win**  
* Serveur par défaut : **oui**
* Actif : **oui**  
* Serveur : **s-win.gsb.lan**  
* Filtre de connexion : (&(objectClass=user)(objectCategory=person)(!(userAccountControl:1.2.840.113556.1.4.803:=2)))  
* BaseDN : **DC=gsb,DC=lan**  
* DN du compte : **GSB\Administrateur**  
* Mot de passe : **Azerty1+**  
* Champ de l'identifiant : **samaccountname**  
  
Pour importer les utilisateurs allez dans **Administration > Utilisateur > Liaison annuaire LDAP > Importation de nouveau utilisateurs**
Appuyer sur rechercher  
Puis sélectionner les utilisateurs afficher, allez dans action et sélectionnez importer. 

## Rejoindre le domaine gsb.lan depuis un client windows : 
 
Afin de rejoindre le domaine **gsb.lan**, il est nécessaire d'ajouter en guise de serveur DNS sur la machine cliente le serveur DNS de l'Active Directory **s-win.gsb.lan**.

Il est possible d'ainsi rejoindre le domaine **gsb.lan**.
Nous utiliserons pour se connecter à l'Active Directory l'utilisateur **Administrateur**:

* Login: Administrateur@gsb.lan
* Mot de passe: Azerty2+ 

## Les modification à faire pour un prochaine version de GLPI :
Pour les prochaines versions de GLPI et pouvoir utiliser le playbook, voici les modification à faire : 
 * Changer la version de GLPI
 * Changer la version de PHP 
 * Changer la version de GLPI Agent

 *Modification effectué par : jm - ak*


 

